Page 2 sur 2

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 03 déc. 2018, 15:40
par ChristianEdu
Bonjour Jérôme,

Ouf, on arrive au bout et j'ai bien des pdf en sortie.

Quelques remarques :
- ce n'est pas intervals mais interval qu'il faut ajouter (qui était normalement présente)
- j'ai regardé en passant les commandes vues tout au long de ce post et j'ai essayé de ne passer que celles en plus de ce que passais les autres années, soit pst-calculate siunitx url wasy2-ps, mais Pyromaths crashe.
- finalement, ce qui pourrait être indiqué dans la doc, c'est :

sudo /usr/local/texlive/2018basic/bin/x86_64-darwin/tlmgr update --self
sudo /usr/local/texlive/2018basic/bin/x86_64-darwin/tlmgr install adjustbox amsfonts amsmath asymptote avantgar babel babel-french cancel carlisle collectbox collection-fontsrecommended colortbl ec enumitem fancyhdr geometry graphics hyperref iftex interval latex-bin latexmk lm marvosym mathtools ms multido numprint oberdiek pgf psnfss pst-3d pst-arrow pst-calculate pst-eucl pst-math pst-node pst-plot pst-tools pstools pstricks pstricks-add siunitx tkz-tab tools units url wasy wasy2-ps wasysym wrapfig xcolor xkeyval

Merci encore pour ton aide.

:-)) Christian

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 03 déc. 2018, 17:01
par Jérôme
Je suis bien content qu'on y soit parvenu. J'ai mis à jour la Doc.

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 06 déc. 2018, 09:49
par ChristianEdu
Attention, dans la 1ère ligne de la doc, il manque le / avant le usr

:-)) Christian

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 06 déc. 2018, 11:35
par Jérôme
Merci. C'est corrigé.

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 06 déc. 2018, 15:43
par ChristianEdu
J'ai encore un petit souci hélas.

Je passe donc des pkgs (basicTex2018, Ghostscript et Pyromaths), puis je prend un snapshot de mon système. Ensuite je passe les commandes vues dans ce post et je refais un snapshot. Cela me permet de savoir tout ce qui a été ajouté dans /usr et je crée un pkg. Cela fait des années que je fonctionne ainsi.
Mais là, sur une machine vierge, en passant mes 3 pkgs initiaux + le pkg des commandes en plus pour Pyromaths et en lançant ce dernier, j'ai à nouveau crash après avoir créé exercices.tex. Quand je passe la commande latex, j'ai "! LaTeX Error: File `adjustbox.sty' not found." Or adjustbox.sty est bien présent (dans texlive/2018basic/texmf-dist/tex/latex/adjustbox).
Il suffit que je réinstalle adjustbx.sty et tout est ok. Pourquoi n'est-il pas reconnu ? Y a-t-il une commande à passer en plus ?

Désolé, je pensais être au bout de mes peines, mais...
La solution expliquée dans la documentation fonctionne très bien sur un poste, mais impossible pour le moment de la package pour la déployer à grande échelle.

Christian

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 06 déc. 2018, 17:20
par Jérôme
N'ayant pas moi-même de Mac, je ne sais trop quoi te dire.
Yves aura peut-être une idée ?

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 09 déc. 2018, 09:56
par Yves
Bonjour Christian, il faudrait faire un snapshot avant et après la réinstallation de adjustbox et voir ce qui a été ajouté.

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 09 déc. 2018, 10:18
par Yves
Voici une méthode alternative pour installer les packages nécessaires à Pyromaths.

Le package texliveonfly permet d'installer les packages manquants pour compiler un document LaTeX à la volée:

Après avoir installé BasicTeX et Ghostscript, pour installer les packages nécessaires à Pyromaths:

Code : Tout sélectionner

tlmgr install texliveonfly
texliveonfly exercices.tex
Je n'ai pas testé cette méthode, mais si ça fonctionne cela pourrait vous faire gagner du temps pour les futures configurations.

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 09 déc. 2018, 10:40
par Jérôme
Salut Yves,

j'ignorais que cette fonctionnalité avait été implémentée dans TeXLive. C'est chouette.

Cependant, dans le cas de Christian, je pense qu'il serait préférable d'avoir un système qui fonctionne sans, ça évitera que chaque machine ait à faire les mêmes installations lors de la première utilisation. Ton message précédent semble être une bonne piste de recherche.

Bon week-end.

Re: Crash avec BasicTeX2018 et Pyromaths 1.9.3 sous macOS 10.14

Publié : 09 déc. 2018, 16:09
par Yves
Salut Jérôme,

Il faudrait installer les packages avec texliveonfly sur la configuration de départ. Une fois les packages installés, déployer cette configuration sur les autres ordinateurs. Cela éviterait de faire les mêmes installations lors de la première utilisation.

Bon dimanche,
Yves